# Class CIM_QueuingService
extends CIM_ConditioningService

QueuingService represents the ability to queue network traffic, and to specify the characteristics for determining long-term congestion. It is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association). This indicates that its functionality underlies the QoSService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_QueuingService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | QueuingService represents the ability to queue network traffic, and to specify the characteristics for determining long-term congestion. It is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association). This indicates that its functionality underlies the QoSService.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CurrentQueueDepth | uint32 |
Description | string | Indicates the current depth of this queue in units specified by DepthUnits. This value may be important in diagnosing unexpected behavior.
Gauge | boolean | true
ModelCorrespondence | string | CIM_QueuingService.DepthUnits
DepthUnits | uint16 |
Description | string | DepthUnits is an enumerated integer that identifies the units for the CurrentQueueDepth property. The values are either bytes (1) or packets (2).
ValueMap | string | 1, 2
Values | string | Bytes, Packets

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service